Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/FrmRegField.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/FrmRegField.cs	(revision 91)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/FrmRegField.cs	(revision 92)
@@ -82,9 +82,9 @@
         }
         #endregion
 
-        #region フォーム初期化
+        #region コンストラクタ
         /// <summary>
-        /// フォーム初期化
+        /// コンストラクタ
         /// </summary>
         public FrmRegField()
         {
@@ -107,13 +107,13 @@
         }
         #endregion
 
-        #region キーを作成する
+        #region キーNoを作成する
         /// <summary>
         /// キーを作成する
         /// </summary>
-        /// <param name="nSeqNo"></param>
-        /// <param name="nLineCount"></param>
-        /// <returns></returns>
+        /// <param name="nSeqNo">連番</param>
+        /// <param name="nLineCount">行番号</param>
+        /// <returns>キーNo(ハッシュテーブル用キー)</returns>
         private int getKeyNo(int nSeqNo, int nLineCount)
         {
             int nKeyNo = nSeqNo * 100 + nLineCount;
@@ -126,8 +126,8 @@
         /// <summary>
         /// 該当工事既存判定
         /// </summary>
-        /// <param name="nConstructionCode"></param>
-        /// <returns></returns>
+        /// <param name="nConstructionCode">工事番号</param>
+        /// <returns>判定結果</returns>
         private bool isExistConstructionRow(int nConstructionCode)
         {
             foreach (DataGridViewRow r in m_HtGridRowConstructionCode.Values)
@@ -146,8 +146,8 @@
         /// <summary>
         /// 行を取得
         /// </summary>
-        /// <param name="nKeyNo"></param>
-        /// <returns></returns>
+        /// <param name="nKeyNo">キーNo</param>
+        /// <returns>データグリッドビュの対象行</returns>
         private DataGridViewRow GetConstructionRow(int nKeyNo)
         {
 
@@ -607,8 +607,9 @@
 
         #endregion
 
+        #region セル編集モード開始
         /// <summary>
-        /// CellBeginEdit
+        /// セルの編集モード開始
         /// </summary>
         /// <param name="sender"></param>
         /// <param name="e"></param>
@@ -623,9 +624,11 @@
 
             }
         }
+        #endregion
 
+        #region セルフォーマッティング
         /// <summary>
-        /// CellFormatting
+        /// セルフォーマッティング
         /// </summary>
         /// <param name="sender"></param>
         /// <param name="e"></param>
@@ -659,5 +662,6 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
+        #endregion
     }
 }
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/FrmSelectRegField.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/FrmSelectRegField.cs	(revision 91)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/FrmSelectRegField.cs	(revision 92)
@@ -105,7 +105,9 @@
         #endregion
 
         #region コンストラクタ
-        // フォーム初期化
+        /// <summary>
+        /// コンストラクタ
+        /// </summary>
         public FrmSelectRegField()
         {
             InitializeComponent();
@@ -113,7 +115,11 @@
         #endregion
 
         #region フォームロード
-        // フォームロード
+        /// <summary>
+        /// フォームロード
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
         private void FrmRegField_Load(object sender, EventArgs e)
         {
             //フォームサイズ固定
@@ -128,7 +134,11 @@
         #endregion
 
         #region 現場追加ボタン押下
-        // 現場追加ボタン押下
+        /// <summary>
+        /// 現場追加ボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
         private void btnAdd_Click(object sender, EventArgs e)
         {
             try
@@ -157,7 +167,11 @@
         #endregion
 
         #region 現場削除ボタン押下
-        // 現場削除ボタン押下
+        /// <summary>
+        /// 現場削除ボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
         private void btnDelete_Click(object sender, EventArgs e)
         {
             try
@@ -168,6 +182,9 @@
                 dgv1.CellValueChanged -= dgv1_CellValueChanged;
                 dgv1.SelectionChanged -= dgv1_SelectionChanged;
 
+                // ダミー行の削除
+                RemoveDummyLine();
+
                 // 内部データを更新
                 foreach (MyFieldData MyData in m_lstMyField)
                 {
@@ -190,9 +207,12 @@
                 // 行番号を再付番
                 for (int rowIndex = 2; rowIndex < dgv1.RowCount; rowIndex++)
                 {
-                    dgv1.Rows[rowIndex].Cells[(int)ColumnIndex.No].Value = rowIndex + 1;
+                    dgv1.Rows[rowIndex].Cells[(int)ColumnIndex.No].Value = rowIndex - 1;
                 }
 
+                // ダミー行追加
+                AddDummyLine();
+
                 // イベントハンドラ再登録
                 dgv1.CellValueChanged += dgv1_CellValueChanged;
                 dgv1.SelectionChanged += dgv1_SelectionChanged;
@@ -206,7 +226,11 @@
         #endregion
 
         #region 登録ボタン押下
-        // 登録ボタン押下
+        /// <summary>
+        /// 登録ボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
         private void btnAccept_Click(object sender, EventArgs e)
         {
             try
@@ -223,7 +247,11 @@
         #endregion
 
         #region 終了ボタン押下
-        // 終了ボタン押下
+        /// <summary>
+        /// 終了ボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
         private void btnEnd_Click(object sender, EventArgs e)
         {
             try
@@ -239,7 +267,11 @@
         #endregion
 
         #region 一覧選択行変更時処理
-        // 一覧選択行変更時処理
+        /// <summary>
+        /// 一覧選択行変更時処理
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
         private void dgv1_SelectionChanged(object sender, EventArgs e)
         {
             try
@@ -267,7 +299,11 @@
         #endregion
 
         #region Gridセル値変更時処理
-        // Gridセル値変更時処理
+        /// <summary>
+        /// Gridセル値変更時処理
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
         private void dgv1_CellValueChanged(object sender, DataGridViewCellEventArgs e)
         {
             try
@@ -300,7 +336,9 @@
         #endregion
 
         #region 発注者名表示
-        // 発注者名表示
+        /// <summary>
+        /// 発注者名表示
+        /// </summary>
         private void DispOrdersName()
         {
             IOMOrderers IoOm = new IOMOrderers();
@@ -377,7 +415,9 @@
         #endregion
 
         #region 不明金額の再計算および表示
-        // 不明金額の再計算および表示
+        /// <summary>
+        /// 不明金額の再計算および表示
+        /// </summary>
         private void CalcUnknownBillPrice()
         {
             try
@@ -410,7 +450,9 @@
         #endregion
 
         #region 現場一覧表表示
-        // 現場一覧表表示
+        /// <summary>
+        /// 現場一覧表表示
+        /// </summary>
         private void ItemListDisplay()
         {
             try
@@ -463,6 +505,9 @@
                     }
                 }
 
+                // ダミー行追加
+                AddDummyLine();
+
                 // 不明の行を追加
                 dgv2.Rows.Add(0, 0, "", "不明", 0);
 
@@ -482,7 +527,11 @@
         #endregion
 
         #region 現場登録ダイアログクローズ通知
-        // 現場登録ダイアログクローズ通知
+        /// <summary>
+        /// 現場登録ダイアログクローズ通知
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
         private void NotifyEditFld_FormClosed(object sender, FormClosedEventArgs e)
         {
             FrmSelectRequest f = (FrmSelectRequest)sender;
@@ -495,6 +544,9 @@
 
                 if (f.m_lstAddFldData.Count() == 0) return;
 
+                // 一旦ダミー行は削除
+                RemoveDummyLine();
+
                 // 現場追加あり
                 foreach(FrmSelectRequest.AddFldData AddInfo in f.m_lstAddFldData)
                 {
@@ -546,6 +598,9 @@
                 // 不明行を再計算して表示
                 CalcUnknownBillPrice();
 
+                // ダミー行追加
+                AddDummyLine();
+
                 // イベントハンドラ再登録
                 dgv1.CellValueChanged += dgv1_CellValueChanged;
                 dgv1.SelectionChanged += dgv1_SelectionChanged;
@@ -558,5 +613,54 @@
         }
         #endregion
 
+        #region ダミー行の追加
+        /// <summary>
+        /// ダミー行の追加
+        /// </summary>
+        private void AddDummyLine()
+        {
+            int dgvRowCount = dgv1.Rows.Count;
+
+            // ８行以上あり場合は、ダミー行は不要
+            if( dgvRowCount > 7){
+                return ;
+            }
+
+            // ダミー行を追加
+            for (int i = 0; i < 8 - dgvRowCount; i++)
+            {
+                // ダミー行(読み取り専用だけtrue)
+                dgv1.Rows.Add("", "", "", "", "", true);
+            }
+
+            return;
+        }
+        #endregion
+
+        #region ダミー行の削除
+        /// <summary>
+        /// ダミー行の削除
+        /// </summary>
+        private void RemoveDummyLine()
+        {
+            int dgvRowCount = dgv1.Rows.Count;
+
+            for (int i = dgvRowCount - 1; i >= 0; i--)
+            {
+                // 工事番号列が空の場合
+                if (dgv1[(int)ColumnIndex.ConstructionCode, i].Value.ToString() == string.Empty)
+                {
+                    dgv1.Rows.RemoveAt(i);
+                }
+                else
+                {
+                    // ダミー行は後ろに配置するのでダミー以外が来たらそれ以前は評価不要
+                    break;
+                }                 
+            }
+            return;
+        }
+        #endregion
+
     }
 }
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SalesConfirm/FrmSalesConfirm.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SalesConfirm/FrmSalesConfirm.cs	(revision 91)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SalesConfirm/FrmSalesConfirm.cs	(revision 92)
@@ -522,14 +522,17 @@
                 ///////////////////////////////////////////////////////////////////////////
 
                 // 営業期
-                int iBusinessPeriod = CommonMotions.SystemMasterData.BusinessPeriod;
+                int minval = 0;
+                int maxval = 0;
 
+                CommonMotions.GetPeriodYear(ref minval, ref maxval);
+
                 // 最大営業期（現在の営業期）
-                numericUpDown2.Maximum = iBusinessPeriod;
+                numericUpDown2.Maximum = maxval;
                 // 最小営業期（現在の営業期-過去年数）
-                numericUpDown2.Minimum = iBusinessPeriod - m_TargetPeriod;
+                numericUpDown2.Minimum = minval;
                 // 初期値は最大営業期
-                numericUpDown2.Value = iBusinessPeriod;
+                numericUpDown2.Value = maxval;
 
 
                 // 対象月
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SelectPayment/FrmSelectPayment.Designer.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SelectPayment/FrmSelectPayment.Designer.cs	(revision 91)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SelectPayment/FrmSelectPayment.Designer.cs	(revision 92)
@@ -28,34 +28,35 @@
         /// </summary>
         private void InitializeComponent()
         {
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle1 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle2 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle3 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle4 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle5 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle6 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle7 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle8 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle9 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle10 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle11 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle12 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle13 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle14 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle15 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle16 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle17 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle18 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle19 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle20 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle21 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle22 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle23 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle24 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle25 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle26 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle27 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle28 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle29 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle30 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle31 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle32 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle33 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle34 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle35 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle36 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle37 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle38 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle39 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle40 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle41 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle42 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle43 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle44 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle45 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle46 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle47 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle48 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle49 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle50 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle51 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle52 = new System.Windows.Forms.DataGridViewCellStyle();
             this.label3 = new System.Windows.Forms.Label();
             this.panel1 = new System.Windows.Forms.Panel();
+            this.button1 = new System.Windows.Forms.Button();
             this.btnShow = new System.Windows.Forms.Button();
             this.cbTargetMonth = new System.Windows.Forms.ComboBox();
             this.label2 = new System.Windows.Forms.Label();
@@ -65,7 +66,6 @@
             this.btnAddFld = new System.Windows.Forms.Button();
             this.Registration = new System.Windows.Forms.Button();
             this.btnEnd = new System.Windows.Forms.Button();
-            this.button1 = new System.Windows.Forms.Button();
             this.EditStatus = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.No = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.OrderersDivision = new System.Windows.Forms.DataGridViewTextBoxColumn();
@@ -174,6 +174,17 @@
             this.panel1.Size = new System.Drawing.Size(1399, 61);
             this.panel1.TabIndex = 1;
             // 
+            // button1
+            // 
+            this.button1.Font = new System.Drawing.Font("ＭＳ 明朝", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.button1.Location = new System.Drawing.Point(850, 23);
+            this.button1.Name = "button1";
+            this.button1.Size = new System.Drawing.Size(60, 23);
+            this.button1.TabIndex = 3;
+            this.button1.Text = "・・・";
+            this.button1.UseVisualStyleBackColor = true;
+            this.button1.Click += new System.EventHandler(this.button1_Click);
+            // 
             // btnShow
             // 
             this.btnShow.BackColor = System.Drawing.Color.Blue;
@@ -219,14 +230,14 @@
             this.dgvMaster.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
             | System.Windows.Forms.AnchorStyles.Left) 
             | System.Windows.Forms.AnchorStyles.Right)));
-            dataGridViewCellStyle1.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
-            dataGridViewCellStyle1.BackColor = System.Drawing.SystemColors.Control;
-            dataGridViewCellStyle1.Font = new System.Drawing.Font("ＭＳ 明朝", 11.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            dataGridViewCellStyle1.ForeColor = System.Drawing.SystemColors.WindowText;
-            dataGridViewCellStyle1.SelectionBackColor = System.Drawing.SystemColors.Highlight;
-            dataGridViewCellStyle1.SelectionForeColor = System.Drawing.SystemColors.HighlightText;
-            dataGridViewCellStyle1.WrapMode = System.Windows.Forms.DataGridViewTriState.True;
-            this.dgvMaster.ColumnHeadersDefaultCellStyle = dataGridViewCellStyle1;
+            dataGridViewCellStyle27.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            dataGridViewCellStyle27.BackColor = System.Drawing.SystemColors.Control;
+            dataGridViewCellStyle27.Font = new System.Drawing.Font("ＭＳ 明朝", 11.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            dataGridViewCellStyle27.ForeColor = System.Drawing.SystemColors.WindowText;
+            dataGridViewCellStyle27.SelectionBackColor = System.Drawing.SystemColors.Highlight;
+            dataGridViewCellStyle27.SelectionForeColor = System.Drawing.SystemColors.HighlightText;
+            dataGridViewCellStyle27.WrapMode = System.Windows.Forms.DataGridViewTriState.True;
+            this.dgvMaster.ColumnHeadersDefaultCellStyle = dataGridViewCellStyle27;
             this.dgvMaster.ColumnHeadersHeightSizeMode = System.Windows.Forms.DataGridViewColumnHeadersHeightSizeMode.AutoSize;
             this.dgvMaster.Columns.AddRange(new System.Windows.Forms.DataGridViewColumn[] {
             this.EditStatus,
@@ -384,19 +395,9 @@
             this.btnEnd.UseVisualStyleBackColor = false;
             this.btnEnd.Click += new System.EventHandler(this.btnEnd_Click);
             // 
-            // button1
-            // 
-            this.button1.Font = new System.Drawing.Font("ＭＳ 明朝", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            this.button1.Location = new System.Drawing.Point(850, 23);
-            this.button1.Name = "button1";
-            this.button1.Size = new System.Drawing.Size(60, 23);
-            this.button1.TabIndex = 3;
-            this.button1.Text = "・・・";
-            this.button1.UseVisualStyleBackColor = true;
-            this.button1.Click += new System.EventHandler(this.button1_Click);
-            // 
             // EditStatus
             // 
+            this.EditStatus.Frozen = true;
             this.EditStatus.HeaderText = "■編集状態";
             this.EditStatus.Name = "EditStatus";
             this.EditStatus.Visible = false;
@@ -403,8 +404,9 @@
             // 
             // No
             // 
-            dataGridViewCellStyle2.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
-            this.No.DefaultCellStyle = dataGridViewCellStyle2;
+            dataGridViewCellStyle28.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            this.No.DefaultCellStyle = dataGridViewCellStyle28;
+            this.No.Frozen = true;
             this.No.HeaderText = "No.";
             this.No.Name = "No";
             this.No.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
@@ -412,6 +414,7 @@
             // 
             // OrderersDivision
             // 
+            this.OrderersDivision.Frozen = true;
             this.OrderersDivision.HeaderText = "■発注者区分";
             this.OrderersDivision.Name = "OrderersDivision";
             this.OrderersDivision.Visible = false;
@@ -418,6 +421,7 @@
             // 
             // OrderersCode
             // 
+            this.OrderersCode.Frozen = true;
             this.OrderersCode.HeaderText = "■発注者コード";
             this.OrderersCode.Name = "OrderersCode";
             this.OrderersCode.Visible = false;
@@ -424,6 +428,7 @@
             // 
             // SeqNo
             // 
+            this.SeqNo.Frozen = true;
             this.SeqNo.HeaderText = "■連番";
             this.SeqNo.Name = "SeqNo";
             this.SeqNo.Visible = false;
@@ -430,6 +435,7 @@
             // 
             // LineCount
             // 
+            this.LineCount.Frozen = true;
             this.LineCount.HeaderText = "■行番号";
             this.LineCount.Name = "LineCount";
             this.LineCount.Visible = false;
@@ -436,6 +442,7 @@
             // 
             // OrderersName
             // 
+            this.OrderersName.Frozen = true;
             this.OrderersName.HeaderText = "請求先名";
             this.OrderersName.Name = "OrderersName";
             this.OrderersName.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
@@ -443,8 +450,9 @@
             // 
             // DepositDate
             // 
-            dataGridViewCellStyle3.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
-            this.DepositDate.DefaultCellStyle = dataGridViewCellStyle3;
+            dataGridViewCellStyle29.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            this.DepositDate.DefaultCellStyle = dataGridViewCellStyle29;
+            this.DepositDate.Frozen = true;
             this.DepositDate.HeaderText = "入金日";
             this.DepositDate.Name = "DepositDate";
             this.DepositDate.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
@@ -452,8 +460,9 @@
             // 
             // DepositAmountCash
             // 
-            dataGridViewCellStyle4.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
-            this.DepositAmountCash.DefaultCellStyle = dataGridViewCellStyle4;
+            dataGridViewCellStyle30.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            this.DepositAmountCash.DefaultCellStyle = dataGridViewCellStyle30;
+            this.DepositAmountCash.Frozen = true;
             this.DepositAmountCash.HeaderText = "入金金額\r\n（振込）";
             this.DepositAmountCash.Name = "DepositAmountCash";
             this.DepositAmountCash.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
@@ -461,8 +470,9 @@
             // 
             // DepositAmountBill
             // 
-            dataGridViewCellStyle5.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
-            this.DepositAmountBill.DefaultCellStyle = dataGridViewCellStyle5;
+            dataGridViewCellStyle31.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            this.DepositAmountBill.DefaultCellStyle = dataGridViewCellStyle31;
+            this.DepositAmountBill.Frozen = true;
             this.DepositAmountBill.HeaderText = "入金金額\r\n（手形）";
             this.DepositAmountBill.Name = "DepositAmountBill";
             this.DepositAmountBill.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
@@ -470,6 +480,7 @@
             // 
             // RequestNo
             // 
+            this.RequestNo.Frozen = true;
             this.RequestNo.HeaderText = "■請求No";
             this.RequestNo.Name = "RequestNo";
             this.RequestNo.Visible = false;
@@ -476,6 +487,7 @@
             // 
             // OrderNo
             // 
+            this.OrderNo.Frozen = true;
             this.OrderNo.HeaderText = "■受付番号";
             this.OrderNo.Name = "OrderNo";
             this.OrderNo.Visible = false;
@@ -482,6 +494,7 @@
             // 
             // ConstructionName
             // 
+            this.ConstructionName.Frozen = true;
             this.ConstructionName.HeaderText = "現場名";
             this.ConstructionName.Name = "ConstructionName";
             this.ConstructionName.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
@@ -495,8 +508,8 @@
             // 
             // PaymentSchedule
             // 
-            dataGridViewCellStyle6.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
-            this.PaymentSchedule.DefaultCellStyle = dataGridViewCellStyle6;
+            dataGridViewCellStyle32.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            this.PaymentSchedule.DefaultCellStyle = dataGridViewCellStyle32;
             this.PaymentSchedule.HeaderText = "入金\r\n予定日";
             this.PaymentSchedule.Name = "PaymentSchedule";
             this.PaymentSchedule.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
@@ -505,8 +518,8 @@
             // 
             // BillCreationDate
             // 
-            dataGridViewCellStyle7.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
-            this.BillCreationDate.DefaultCellStyle = dataGridViewCellStyle7;
+            dataGridViewCellStyle33.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            this.BillCreationDate.DefaultCellStyle = dataGridViewCellStyle33;
             this.BillCreationDate.HeaderText = "請求日";
             this.BillCreationDate.Name = "BillCreationDate";
             this.BillCreationDate.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
@@ -514,8 +527,8 @@
             // 
             // BillPrice
             // 
-            dataGridViewCellStyle8.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
-            this.BillPrice.DefaultCellStyle = dataGridViewCellStyle8;
+            dataGridViewCellStyle34.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            this.BillPrice.DefaultCellStyle = dataGridViewCellStyle34;
             this.BillPrice.HeaderText = "請求金額\r\n（税抜）";
             this.BillPrice.Name = "BillPrice";
             this.BillPrice.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
@@ -523,8 +536,8 @@
             // 
             // TaxPrice
             // 
-            dataGridViewCellStyle9.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
-            this.TaxPrice.DefaultCellStyle = dataGridViewCellStyle9;
+            dataGridViewCellStyle35.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            this.TaxPrice.DefaultCellStyle = dataGridViewCellStyle35;
             this.TaxPrice.HeaderText = "請求金額\r\n（消費税）";
             this.TaxPrice.Name = "TaxPrice";
             this.TaxPrice.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
@@ -532,8 +545,8 @@
             // 
             // DepositAmount
             // 
-            dataGridViewCellStyle10.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
-            this.DepositAmount.DefaultCellStyle = dataGridViewCellStyle10;
+            dataGridViewCellStyle36.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            this.DepositAmount.DefaultCellStyle = dataGridViewCellStyle36;
             this.DepositAmount.HeaderText = "入金金額";
             this.DepositAmount.Name = "DepositAmount";
             this.DepositAmount.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
@@ -541,8 +554,8 @@
             // 
             // DiscountAmount
             // 
-            dataGridViewCellStyle11.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
-            this.DiscountAmount.DefaultCellStyle = dataGridViewCellStyle11;
+            dataGridViewCellStyle37.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            this.DiscountAmount.DefaultCellStyle = dataGridViewCellStyle37;
             this.DiscountAmount.HeaderText = "値引金額";
             this.DiscountAmount.Name = "DiscountAmount";
             this.DiscountAmount.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
@@ -550,8 +563,8 @@
             // 
             // CnstrPrice
             // 
-            dataGridViewCellStyle12.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
-            this.CnstrPrice.DefaultCellStyle = dataGridViewCellStyle12;
+            dataGridViewCellStyle38.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            this.CnstrPrice.DefaultCellStyle = dataGridViewCellStyle38;
             this.CnstrPrice.HeaderText = "協力金";
             this.CnstrPrice.Name = "CnstrPrice";
             this.CnstrPrice.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
@@ -559,8 +572,8 @@
             // 
             // Fees
             // 
-            dataGridViewCellStyle13.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
-            this.Fees.DefaultCellStyle = dataGridViewCellStyle13;
+            dataGridViewCellStyle39.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            this.Fees.DefaultCellStyle = dataGridViewCellStyle39;
             this.Fees.HeaderText = "手数料";
             this.Fees.Name = "Fees";
             this.Fees.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
@@ -568,8 +581,8 @@
             // 
             // OtherAdjustments
             // 
-            dataGridViewCellStyle14.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
-            this.OtherAdjustments.DefaultCellStyle = dataGridViewCellStyle14;
+            dataGridViewCellStyle40.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            this.OtherAdjustments.DefaultCellStyle = dataGridViewCellStyle40;
             this.OtherAdjustments.HeaderText = "その他調整";
             this.OtherAdjustments.Name = "OtherAdjustments";
             this.OtherAdjustments.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
@@ -577,8 +590,8 @@
             // 
             // CarryAmount
             // 
-            dataGridViewCellStyle15.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
-            this.CarryAmount.DefaultCellStyle = dataGridViewCellStyle15;
+            dataGridViewCellStyle41.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            this.CarryAmount.DefaultCellStyle = dataGridViewCellStyle41;
             this.CarryAmount.HeaderText = "次回繰越";
             this.CarryAmount.Name = "CarryAmount";
             this.CarryAmount.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
@@ -586,8 +599,8 @@
             // 
             // PersonName
             // 
-            dataGridViewCellStyle16.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
-            this.PersonName.DefaultCellStyle = dataGridViewCellStyle16;
+            dataGridViewCellStyle42.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            this.PersonName.DefaultCellStyle = dataGridViewCellStyle42;
             this.PersonName.HeaderText = "担当者\r\n承認";
             this.PersonName.Name = "PersonName";
             this.PersonName.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
@@ -607,8 +620,8 @@
             // 
             // ApprovalName_1
             // 
-            dataGridViewCellStyle17.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
-            this.ApprovalName_1.DefaultCellStyle = dataGridViewCellStyle17;
+            dataGridViewCellStyle43.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            this.ApprovalName_1.DefaultCellStyle = dataGridViewCellStyle43;
             this.ApprovalName_1.HeaderText = "承認者1\r\n承認";
             this.ApprovalName_1.Name = "ApprovalName_1";
             this.ApprovalName_1.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
@@ -641,8 +654,8 @@
             // 
             // ApprovalName_2
             // 
-            dataGridViewCellStyle18.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
-            this.ApprovalName_2.DefaultCellStyle = dataGridViewCellStyle18;
+            dataGridViewCellStyle44.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            this.ApprovalName_2.DefaultCellStyle = dataGridViewCellStyle44;
             this.ApprovalName_2.HeaderText = "承認者2\r\n承認";
             this.ApprovalName_2.Name = "ApprovalName_2";
             this.ApprovalName_2.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
@@ -675,8 +688,8 @@
             // 
             // ApprovalName_3
             // 
-            dataGridViewCellStyle19.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
-            this.ApprovalName_3.DefaultCellStyle = dataGridViewCellStyle19;
+            dataGridViewCellStyle45.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            this.ApprovalName_3.DefaultCellStyle = dataGridViewCellStyle45;
             this.ApprovalName_3.HeaderText = "承認者3\r\n承認";
             this.ApprovalName_3.Name = "ApprovalName_3";
             this.ApprovalName_3.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
@@ -709,8 +722,8 @@
             // 
             // ApprovalName_4
             // 
-            dataGridViewCellStyle20.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
-            this.ApprovalName_4.DefaultCellStyle = dataGridViewCellStyle20;
+            dataGridViewCellStyle46.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            this.ApprovalName_4.DefaultCellStyle = dataGridViewCellStyle46;
             this.ApprovalName_4.HeaderText = "承認者4\r\n承認";
             this.ApprovalName_4.Name = "ApprovalName_4";
             this.ApprovalName_4.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
@@ -743,8 +756,8 @@
             // 
             // ApprovalName_5
             // 
-            dataGridViewCellStyle21.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
-            this.ApprovalName_5.DefaultCellStyle = dataGridViewCellStyle21;
+            dataGridViewCellStyle47.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            this.ApprovalName_5.DefaultCellStyle = dataGridViewCellStyle47;
             this.ApprovalName_5.HeaderText = "承認者5\r\n承認";
             this.ApprovalName_5.Name = "ApprovalName_5";
             this.ApprovalName_5.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
@@ -777,8 +790,8 @@
             // 
             // ApprovalName_6
             // 
-            dataGridViewCellStyle22.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
-            this.ApprovalName_6.DefaultCellStyle = dataGridViewCellStyle22;
+            dataGridViewCellStyle48.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            this.ApprovalName_6.DefaultCellStyle = dataGridViewCellStyle48;
             this.ApprovalName_6.HeaderText = "承認者6\r\n承認";
             this.ApprovalName_6.Name = "ApprovalName_6";
             this.ApprovalName_6.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
@@ -811,8 +824,8 @@
             // 
             // ApprovalName_7
             // 
-            dataGridViewCellStyle23.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
-            this.ApprovalName_7.DefaultCellStyle = dataGridViewCellStyle23;
+            dataGridViewCellStyle49.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            this.ApprovalName_7.DefaultCellStyle = dataGridViewCellStyle49;
             this.ApprovalName_7.HeaderText = "承認者7\r\n承認";
             this.ApprovalName_7.Name = "ApprovalName_7";
             this.ApprovalName_7.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
@@ -845,8 +858,8 @@
             // 
             // ApprovalName_8
             // 
-            dataGridViewCellStyle24.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
-            this.ApprovalName_8.DefaultCellStyle = dataGridViewCellStyle24;
+            dataGridViewCellStyle50.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            this.ApprovalName_8.DefaultCellStyle = dataGridViewCellStyle50;
             this.ApprovalName_8.HeaderText = "承認者8\r\n承認";
             this.ApprovalName_8.Name = "ApprovalName_8";
             this.ApprovalName_8.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
@@ -879,8 +892,8 @@
             // 
             // ApprovalName_9
             // 
-            dataGridViewCellStyle25.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
-            this.ApprovalName_9.DefaultCellStyle = dataGridViewCellStyle25;
+            dataGridViewCellStyle51.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            this.ApprovalName_9.DefaultCellStyle = dataGridViewCellStyle51;
             this.ApprovalName_9.HeaderText = "承認者9\r\n承認";
             this.ApprovalName_9.Name = "ApprovalName_9";
             this.ApprovalName_9.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
@@ -913,8 +926,8 @@
             // 
             // ApprovalName_10
             // 
-            dataGridViewCellStyle26.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
-            this.ApprovalName_10.DefaultCellStyle = dataGridViewCellStyle26;
+            dataGridViewCellStyle52.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            this.ApprovalName_10.DefaultCellStyle = dataGridViewCellStyle52;
             this.ApprovalName_10.HeaderText = "承認者10\r\n承認";
             this.ApprovalName_10.Name = "ApprovalName_10";
             this.ApprovalName_10.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
@@ -963,6 +976,7 @@
             this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedSingle;
             this.Margin = new System.Windows.Forms.Padding(4);
             this.Name = "FrmSelectPayment";
+            this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
             this.FormClosing += new System.Windows.Forms.FormClosingEventHandler(this.FrmSelectPayment_FormClosing);
             this.Load += new System.EventHandler(this.FrmSelectPayment_Load);
             this.panel1.ResumeLayout(false);
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SelectPayment/FrmSelectPayment.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SelectPayment/FrmSelectPayment.cs	(revision 91)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SelectPayment/FrmSelectPayment.cs	(revision 92)
@@ -629,7 +629,8 @@
                 var f = new FrmSelectRegField();
                 f.m_OrderersDivision = depositOrderer.OrderersDivision;
                 f.m_OrderersCode = depositOrderer.OrderersCode;
-                foreach (var depositDetail in depositOrderer.VisibleDepositDetails)
+                //foreach (var depositDetail in depositOrderer.VisibleDepositDetails)
+                foreach (var depositDetail in depositOrderer.DepositDetails)
                 {
                     f.m_lstMyField.Add(new FrmSelectRegField.MyFieldData()
                     {
@@ -1421,27 +1422,41 @@
                 {
                     var depositDetail = depositOrderer.FindDepositDetailByLineCount(CommonMotions.cnvInt(cells[(int)DispColumn.LineCount].Value));
                     long amount = CommonMotions.cnvLong(cellValue);
+                    bool bUpdateCarryAmount = false;
                     switch (e.ColumnIndex)
                     {
                         case (int)DispColumn.DepositAmount:
                             depositDetail.DepositAmount = amount;
+                            bUpdateCarryAmount = true;
                             break;
                         case (int)DispColumn.DiscountAmount:
                             depositDetail.DiscountAmount = amount;
+                            bUpdateCarryAmount = true;
                             break;
                         case (int)DispColumn.CnstrPrice:
                             depositDetail.CnstrPrice = amount;
+                            bUpdateCarryAmount = true;
                             break;
                         case (int)DispColumn.Fees:
                             depositDetail.Fees = amount;
+                            bUpdateCarryAmount = true;
                             break;
                         case (int)DispColumn.OtherAdjustments:
                             depositDetail.OtherAdjustments = amount;
+                            bUpdateCarryAmount = true;
                             break;
                         case (int)DispColumn.CarryAmount:
                             depositDetail.CarryAmount = amount;
                             break;
                     }
+                    // 繰越金の調整が必要
+                    if (bUpdateCarryAmount == true)
+                    {
+                        long RequestAmount = depositDetail.BillPrice + depositDetail.TaxPrice;
+                        long DepositAmount = depositDetail.DepositAmount + depositDetail.DiscountAmount + depositDetail.CnstrPrice + depositDetail.Fees + depositDetail.OtherAdjustments;
+                        depositDetail.CarryAmount = RequestAmount - DepositAmount;
+                    }
+
                     depositDetail.Editted = true;
                 }
                 var headerIndex = DetectHeaderIndex(e.RowIndex);
@@ -2076,6 +2091,13 @@
                         dgvMaster.Columns[j].Visible = true;
                         j += 5;
                     }
+                    // 現場が存在する行は、総務入力側のセルも編集可能か判定しておく
+                    if (CanEditDeposit(depositOrderer))
+                    {
+                        row.Cells[(int)DispColumn.DepositDate].ReadOnly = false;
+                        row.Cells[(int)DispColumn.DepositAmountCash].ReadOnly = false;
+                        row.Cells[(int)DispColumn.DepositAmountBill].ReadOnly = false;
+                    }
                     if (CanEditDepositDetail(depositDetail))
                     {
                         row.Cells[(int)DispColumn.DepositAmount].ReadOnly = false;
@@ -2191,7 +2213,7 @@
                 depositAmount += depositDetail.DepositAmount;
             }
             long unknownAmount = (depositAmountCash + depositAmountBill) - depositAmount;
-            if (unknownAmount <= 0)
+            if (unknownAmount == 0)
                 return;
             // 不明行は入金明細の一番下に作成する
             var unknownIndex = index + depositOrderer.VisibleDepositDetails.Count;
@@ -2260,7 +2282,8 @@
             long fees = 0;
             long otherAdjustments = 0;
             long carryAmount = 0;
-            foreach (var depositDetail in depositOrderer.DepositDetails)
+
+            foreach (var depositDetail in depositOrderer.VisibleDepositDetails)
             {
                 billPrice += depositDetail.BillPrice;
                 taxPrice += depositDetail.TaxPrice;
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/TAndPCosts/FrmSelectPaymentDay.Designer.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/TAndPCosts/FrmSelectPaymentDay.Designer.cs	(revision 91)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/TAndPCosts/FrmSelectPaymentDay.Designer.cs	(revision 92)
@@ -58,7 +58,7 @@
             this.btnCancel.Location = new System.Drawing.Point(161, 10);
             this.btnCancel.Name = "btnCancel";
             this.btnCancel.Size = new System.Drawing.Size(140, 40);
-            this.btnCancel.TabIndex = 3;
+            this.btnCancel.TabIndex = 1;
             this.btnCancel.Text = "キャンセル";
             this.btnCancel.UseVisualStyleBackColor = false;
             this.btnCancel.Click += new System.EventHandler(this.btnCancel_Click);
@@ -71,7 +71,7 @@
             this.panel1.Location = new System.Drawing.Point(-8, 100);
             this.panel1.Name = "panel1";
             this.panel1.Size = new System.Drawing.Size(320, 60);
-            this.panel1.TabIndex = 3;
+            this.panel1.TabIndex = 1;
             // 
             // groupBox2
             // 
@@ -80,7 +80,7 @@
             this.groupBox2.Location = new System.Drawing.Point(52, 10);
             this.groupBox2.Name = "groupBox2";
             this.groupBox2.Size = new System.Drawing.Size(200, 80);
-            this.groupBox2.TabIndex = 7;
+            this.groupBox2.TabIndex = 0;
             this.groupBox2.TabStop = false;
             this.groupBox2.Text = "支払日";
             // 
Index: branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmConstructionDiag.Designer.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmConstructionDiag.Designer.cs	(revision 91)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmConstructionDiag.Designer.cs	(revision 92)
@@ -52,7 +52,7 @@
             this.btnEnd.Location = new System.Drawing.Point(892, 524);
             this.btnEnd.Name = "btnEnd";
             this.btnEnd.Size = new System.Drawing.Size(120, 30);
-            this.btnEnd.TabIndex = 3;
+            this.btnEnd.TabIndex = 2;
             this.btnEnd.Text = "終　了";
             this.btnEnd.UseVisualStyleBackColor = false;
             this.btnEnd.Click += new System.EventHandler(this.btnEnd_Click);
@@ -65,7 +65,7 @@
             this.btnSelect.Location = new System.Drawing.Point(764, 524);
             this.btnSelect.Name = "btnSelect";
             this.btnSelect.Size = new System.Drawing.Size(120, 30);
-            this.btnSelect.TabIndex = 2;
+            this.btnSelect.TabIndex = 1;
             this.btnSelect.Text = "選　択";
             this.btnSelect.UseVisualStyleBackColor = false;
             this.btnSelect.Click += new System.EventHandler(this.btnSelect_Click);
Index: branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmConstructionDiag.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmConstructionDiag.cs	(revision 91)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmConstructionDiag.cs	(revision 92)
@@ -364,100 +364,196 @@
             {
                 dgvMaster.Rows.Clear();
 
-                string strSQL = string.Empty;
+                StringBuilder strSQL = new StringBuilder();
+//                string strSQL = string.Empty;
 
 ////                if (m_ProcessNo == (int)ClsExcute.ProcessExecuteNo.TAndPCosts)      Del BIT 2017/02/22
                 if (m_SelectType == (int)SelectConstructionType.Ongoing)                    // 検索タイプが進行中 Add BIT 2017/02/22
                 {   // ----- 購入品選択の場合
                     // 進行中案件を検索する
-                    strSQL = "SELECT A.CONSTRUCTIONCODE, B.DETAILSTRING";
-                    strSQL += " FROM CONSTRUCTIONBASEINFO A, CONSTRUCTIONBASEINFODETAIL B, CONSTRUCTIONLEDGER C";
-                    strSQL += string.Format(" WHERE (A.CONSTRUCTIONCODE = B.CONSTRUCTIONCODE AND B.DETAILNO = {0})", (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionName);
-                    strSQL += " AND A.CONSTRUCTIONCODE = C.CONSTRUCTIONCODE AND C.COMPLATEFLG = 0";
+                    strSQL.Append("SELECT A.CONSTRUCTIONCODE, B.DETAILSTRING");
+                    strSQL.Append(" FROM CONSTRUCTIONBASEINFO A, CONSTRUCTIONBASEINFODETAIL B, CONSTRUCTIONLEDGER C");
+                    strSQL.AppendFormat(" WHERE (A.CONSTRUCTIONCODE = B.CONSTRUCTIONCODE AND B.DETAILNO = {0})", (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionName);
+                    strSQL.Append(" AND A.CONSTRUCTIONCODE = C.CONSTRUCTIONCODE AND C.COMPLATEFLG = 0");
 
                     switch (m_PersonCharge)
                     {
                         case (int)PersonChargePoint.Sales:
                             /// 営業担当検索
-                            strSQL += string.Format(" AND A.SalesPersonCode = {0}", m_PersonCode);
+                            strSQL.AppendFormat(" AND A.SalesPersonCode = {0}", m_PersonCode);
                             break;
                         case (int)PersonChargePoint.Construction:
                             /// 工事担当者
-                            strSQL += string.Format(" AND (A.ConstructionPersonCode = {0} OR A.ConstrSubPersonCode = {0} OR A.ConstructionInstructor = {0})", m_PersonCode);
+                            strSQL.AppendFormat(" AND (A.ConstructionPersonCode = {0} OR A.ConstrSubPersonCode = {0} OR A.ConstructionInstructor = {0})", m_PersonCode);
                             break;
                     }
-                    strSQL += " ORDER BY A.ConstructionPeriodStart DESC";
+                    strSQL.Append(" ORDER BY A.ConstructionPeriodStart DESC");
                 }
                 else if (m_SelectType == (int)SelectConstructionType.CombinedOrder)                    // 検索タイプが一括請求 Add BIT 2017/02/22
                 {   // ----- 請求入力（一括請求）の場合
                     // 進行中＋一括請求を検索する
-                    strSQL = "SELECT A.CONSTRUCTIONCODE, B.DETAILSTRING";
-                    strSQL += " FROM CONSTRUCTIONBASEINFO A, CONSTRUCTIONBASEINFODETAIL B, CONSTRUCTIONLEDGER C";
-                    strSQL += string.Format(" WHERE (A.BillingSplitFlg = 0 AND A.CONSTRUCTIONCODE = B.CONSTRUCTIONCODE AND B.DETAILNO = {0})", (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionName);
-                    strSQL += " AND A.CONSTRUCTIONCODE = C.CONSTRUCTIONCODE AND C.COMPLATEFLG = 0 ";
+                    strSQL.Append("SELECT");
+                    strSQL.Append(" UNI.CONSTRUCTIONCODE");
+                    strSQL.Append(" , UNI.DETAILSTRING");
+                    strSQL.Append(" FROM (");
+                    strSQL.Append(" SELECT");
+                    strSQL.Append(" A1.CONSTRUCTIONCODE AS CONSTRUCTIONCODE");
+                    strSQL.Append(" , B1.DETAILSTRING AS DETAILSTRING");
+                    strSQL.Append(" , A1.CONSTRUCTIONPERIODSTART AS CONSTRUCTIONPERIODSTART");
+                    strSQL.Append(" FROM"); 
+                    strSQL.Append(" CONSTRUCTIONBASEINFO A1");
+                    strSQL.Append(" INNER JOIN CONSTRUCTIONBASEINFODETAIL B1 ON ");
+                    strSQL.Append(" A1.CONSTRUCTIONCODE = B1.CONSTRUCTIONCODE");
+                    strSQL.AppendFormat(" AND B1.DETAILNO = {0}", (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionName);
+                    strSQL.Append(" INNER JOIN CONSTRUCTIONLEDGER C1 ON ");
+                    strSQL.Append(" A1.CONSTRUCTIONCODE = C1.CONSTRUCTIONCODE");
+                    strSQL.Append(" AND C1.COMPLATEFLG = 0 ");
+                    strSQL.Append(" WHERE ");
+                    strSQL.AppendFormat(" A1.BILLINGSPLITFLG = {0}", (int)CommonDefine.BaseInfoBillingSplitFlg.AllOnBilling);
+                    strSQL.AppendFormat(" AND A1.JOINFLG <> {0}", (int)CommonDefine.BaseInfoJoinFlg.JoinChildren);
 
                     switch (m_PersonCharge)
                     {
                         case (int)PersonChargePoint.Sales:
                             /// 営業担当検索
-                            strSQL += string.Format(" AND A.SalesPersonCode = {0}", m_PersonCode);
+                            strSQL.AppendFormat(" AND A1.SALESPERSONCODE = {0}", m_PersonCode);
                             break;
                         case (int)PersonChargePoint.Construction:
                             /// 工事担当者
-                            strSQL += string.Format(" AND (A.ConstructionPersonCode = {0} OR A.ConstrSubPersonCode = {0} OR A.ConstructionInstructor = {0})", m_PersonCode);
+                            strSQL.AppendFormat(" AND (A1.CONSTRUCTIONPERSONCODE = {0} OR A1.CONSTRSUBPERSONCODE = {0} OR A1.CONSTRUCTIONINSTRUCTOR = {0})", m_PersonCode);
                             break;
                     }
-                    strSQL += " ORDER BY A.ConstructionPeriodStart DESC";
+
+                    strSQL.Append(" UNION ALL");
+                    strSQL.Append(" SELECT");
+                    strSQL.Append(" A2.CONSTRUCTIONCODE AS CONSTRUCTIONCODE");
+                    strSQL.Append(" , B2.DETAILSTRING AS DETAILSTRING");
+                    strSQL.Append(" , A2.CONSTRUCTIONPERIODSTART AS CONSTRUCTIONPERIODSTART");
+                    strSQL.Append(" FROM");
+                    strSQL.Append(" CONSTRUCTIONBASEINFO A2");
+                    strSQL.Append(" INNER JOIN CONSTRUCTIONBASEINFODETAIL B2 ON ");
+                    strSQL.Append(" A2.CONSTRUCTIONCODE = B2.CONSTRUCTIONCODE");
+                    strSQL.AppendFormat(" AND B2.DETAILNO = {0}", (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionName);
+                    strSQL.Append(" INNER JOIN CONSTRUCTIONLINK D2 ON ");
+                    strSQL.Append(" A2.CONSTRUCTIONCODE = D2.FLUCTUATIONCODE");
+                    strSQL.AppendFormat(" AND D2.LINKTYPE = {0}",(int)CommonDefine.LinkDataType.JoinType);
+                    strSQL.Append(" INNER JOIN CONSTRUCTIONLEDGER C2 ON ");
+                    strSQL.Append(" D2.CONSTRUCTIONCODE = C2.CONSTRUCTIONCODE");
+                    strSQL.Append(" AND C2.COMPLATEFLG = 0 ");
+                    strSQL.Append(" WHERE ");
+                    strSQL.AppendFormat(" A2.BILLINGSPLITFLG = {0}", (int)CommonDefine.BaseInfoBillingSplitFlg.AllOnBilling);
+                    strSQL.AppendFormat(" AND A2.JOINFLG = {0}", (int)CommonDefine.BaseInfoJoinFlg.JoinChildren);
+
+                    switch (m_PersonCharge)
+                    {
+                        case (int)PersonChargePoint.Sales:
+                            /// 営業担当検索
+                            strSQL.AppendFormat(" AND A2.SALESPERSONCODE = {0}", m_PersonCode);
+                            break;
+                        case (int)PersonChargePoint.Construction:
+                            /// 工事担当者
+                            strSQL.AppendFormat(" AND (A2.CONSTRUCTIONPERSONCODE = {0} OR A2.CONSTRSUBPERSONCODE = {0} OR A2.CONSTRUCTIONINSTRUCTOR = {0})", m_PersonCode);
+                            break;
+                    }
+                    strSQL.Append(" ) UNI ORDER BY UNI.CONSTRUCTIONPERIODSTART DESC");
+
                 }
                 else if (m_SelectType == (int)SelectConstructionType.SeparateBilling)                    // 検索タイプが分割請求 Add BIT 2017/02/22
                 {   // ----- 請求入力（分割請求）の場合
-                    // 進行中＋一括請求を検索する
-                    strSQL = "SELECT A.CONSTRUCTIONCODE, B.DETAILSTRING";
-                    strSQL += " FROM CONSTRUCTIONBASEINFO A, CONSTRUCTIONBASEINFODETAIL B, CONSTRUCTIONLEDGER C";
-                    strSQL += string.Format(" WHERE (A.BillingSplitFlg = 1 AND A.CONSTRUCTIONCODE = B.CONSTRUCTIONCODE AND B.DETAILNO = {0})", (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionName);
-                    strSQL += " AND A.CONSTRUCTIONCODE = C.CONSTRUCTIONCODE AND C.COMPLATEFLG = 0 ";
+                    // 進行中＋分割請求を検索する
+                    strSQL.Append("SELECT");
+                    strSQL.Append(" UNI.CONSTRUCTIONCODE");
+                    strSQL.Append(" , UNI.DETAILSTRING");
+                    strSQL.Append(" FROM (");
+                    strSQL.Append(" SELECT");
+                    strSQL.Append(" A1.CONSTRUCTIONCODE AS CONSTRUCTIONCODE");
+                    strSQL.Append(" , B1.DETAILSTRING AS DETAILSTRING");
+                    strSQL.Append(" , A1.CONSTRUCTIONPERIODSTART AS CONSTRUCTIONPERIODSTART");
+                    strSQL.Append(" FROM");
+                    strSQL.Append(" CONSTRUCTIONBASEINFO A1");
+                    strSQL.Append(" INNER JOIN CONSTRUCTIONBASEINFODETAIL B1 ON ");
+                    strSQL.Append(" A1.CONSTRUCTIONCODE = B1.CONSTRUCTIONCODE");
+                    strSQL.AppendFormat(" AND B1.DETAILNO = {0}", (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionName);
+                    strSQL.Append(" INNER JOIN CONSTRUCTIONLEDGER C1 ON ");
+                    strSQL.Append(" A1.CONSTRUCTIONCODE = C1.CONSTRUCTIONCODE");
+                    strSQL.Append(" AND C1.COMPLATEFLG = 0 ");
+                    strSQL.Append(" WHERE ");
+                    strSQL.AppendFormat(" A1.BILLINGSPLITFLG = {0}", (int)CommonDefine.BaseInfoBillingSplitFlg.SplitBilling);
+                    strSQL.AppendFormat(" AND A1.JOINFLG <> {0}", (int)CommonDefine.BaseInfoJoinFlg.JoinChildren);
 
                     switch (m_PersonCharge)
                     {
                         case (int)PersonChargePoint.Sales:
                             /// 営業担当検索
-                            strSQL += string.Format(" AND A.SalesPersonCode = {0}", m_PersonCode);
+                            strSQL.AppendFormat(" AND A1.SALESPERSONCODE = {0}", m_PersonCode);
                             break;
                         case (int)PersonChargePoint.Construction:
                             /// 工事担当者
-                            strSQL += string.Format(" AND (A.ConstructionPersonCode = {0} OR A.ConstrSubPersonCode = {0} OR A.ConstructionInstructor = {0})", m_PersonCode);
+                            strSQL.AppendFormat(" AND (A1.CONSTRUCTIONPERSONCODE = {0} OR A1.CONSTRSUBPERSONCODE = {0} OR A1.CONSTRUCTIONINSTRUCTOR = {0})", m_PersonCode);
                             break;
                     }
-                    strSQL += " ORDER BY A.ConstructionPeriodStart DESC";
+
+                    strSQL.Append(" UNION ALL");
+                    strSQL.Append(" SELECT");
+                    strSQL.Append(" A2.CONSTRUCTIONCODE AS CONSTRUCTIONCODE");
+                    strSQL.Append(" , B2.DETAILSTRING AS DETAILSTRING");
+                    strSQL.Append(" , A2.CONSTRUCTIONPERIODSTART AS CONSTRUCTIONPERIODSTART");
+                    strSQL.Append(" FROM");
+                    strSQL.Append(" CONSTRUCTIONBASEINFO A2");
+                    strSQL.Append(" INNER JOIN CONSTRUCTIONBASEINFODETAIL B2 ON ");
+                    strSQL.Append(" A2.CONSTRUCTIONCODE = B2.CONSTRUCTIONCODE");
+                    strSQL.AppendFormat(" AND B2.DETAILNO = {0}", (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionName);
+                    strSQL.Append(" INNER JOIN CONSTRUCTIONLINK D2 ON ");
+                    strSQL.Append(" A2.CONSTRUCTIONCODE = D2.FLUCTUATIONCODE");
+                    strSQL.AppendFormat(" AND D2.LINKTYPE = {0}", (int)CommonDefine.LinkDataType.JoinType);
+                    strSQL.Append(" INNER JOIN CONSTRUCTIONLEDGER C2 ON ");
+                    strSQL.Append(" D2.CONSTRUCTIONCODE = C2.CONSTRUCTIONCODE");
+                    strSQL.Append(" AND C2.COMPLATEFLG = 0 ");
+                    strSQL.Append(" WHERE ");
+                    strSQL.AppendFormat(" A2.BILLINGSPLITFLG = {0}", (int)CommonDefine.BaseInfoBillingSplitFlg.SplitBilling);
+                    strSQL.AppendFormat(" AND A2.JOINFLG = {0}", (int)CommonDefine.BaseInfoJoinFlg.JoinChildren);
+
+                    switch (m_PersonCharge)
+                    {
+                        case (int)PersonChargePoint.Sales:
+                            /// 営業担当検索
+                            strSQL.AppendFormat(" AND A2.SALESPERSONCODE = {0}", m_PersonCode);
+                            break;
+                        case (int)PersonChargePoint.Construction:
+                            /// 工事担当者
+                            strSQL.AppendFormat(" AND (A2.CONSTRUCTIONPERSONCODE = {0} OR A2.CONSTRSUBPERSONCODE = {0} OR A2.CONSTRUCTIONINSTRUCTOR = {0})", m_PersonCode);
+                            break;
+                    }
+                    strSQL.Append(" ) UNI ORDER BY UNI.CONSTRUCTIONPERIODSTART DESC");
                 }
                 ///                else if (m_ProcessNo == (int)ClsExcute.ProcessExecuteNo.OrderJoin) Del BIT 2017/02/22
                 else                                // Add BIT 2017/02/22
 	            {
                     // 対象全ての案件を検索する
-                    strSQL = "SELECT DISTINCT A.CONSTRUCTIONCODE, B.DETAILSTRING, A.OrderersDivision, A.OrderersCode";
-                    strSQL += " FROM CONSTRUCTIONBASEINFO A, CONSTRUCTIONBASEINFODETAIL B, PERSONINCHARGEMASTER C";
-                    strSQL += string.Format(" WHERE (A.CONSTRUCTIONCODE = B.CONSTRUCTIONCODE AND B.DETAILNO = {0})", (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionName);
-                    strSQL += string.Format(" AND A.JOINFLG = {0} ", (int)CommonDefine.BaseInfoJoinFlg.JoinParent);
+                    strSQL.Append("SELECT DISTINCT A.CONSTRUCTIONCODE, B.DETAILSTRING, A.OrderersDivision, A.OrderersCode");
+                    strSQL.Append(" FROM CONSTRUCTIONBASEINFO A, CONSTRUCTIONBASEINFODETAIL B, PERSONINCHARGEMASTER C");
+                    strSQL.AppendFormat(" WHERE (A.CONSTRUCTIONCODE = B.CONSTRUCTIONCODE AND B.DETAILNO = {0})", (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionName);
+                    strSQL.AppendFormat(" AND A.JOINFLG = {0} ", (int)CommonDefine.BaseInfoJoinFlg.JoinParent);
                     switch (m_PersonCharge)
                     {
                         case (int)PersonChargePoint.Sales:
                             /// 営業担当検索
-                            strSQL += string.Format(" AND A.SalesPersonCode = {0}", m_PersonCode);
+                            strSQL.AppendFormat(" AND A.SALESPERSONCODE = {0}", m_PersonCode);
                             break;
                         case (int)PersonChargePoint.Construction:
                             /// 工事担当者
-                            strSQL += string.Format(" AND (A.ConstructionPersonCode = {0} OR A.ConstrSubPersonCode = {0} OR A.ConstructionInstructor = {0})", m_PersonCode);
+                            strSQL.AppendFormat(" AND (A.CONSTRUCTIONPERSONCODE = {0} OR A.CONSTRSUBPERSONCODE = {0} OR A.CONSTRUCTIONINSTRUCTOR = {0})", m_PersonCode);
                             break;
                     }
-                    strSQL += " AND (C.PERSONCODE = A.SALESPERSONCODE";
-                    strSQL += " Or C.PERSONCODE = A.CONSTRUCTIONPERSONCODE";
-                    strSQL += " Or C.PERSONCODE = A.CONSTRSUBPERSONCODE";
-                    strSQL += " Or C.PERSONCODE = A.CONSTRUCTIONINSTRUCTOR)";
-                    strSQL += " ORDER BY B.DETAILSTRING ASC, A.CONSTRUCTIONCODE DESC";
+                    strSQL.Append(" AND (C.PERSONCODE = A.SALESPERSONCODE");
+                    strSQL.Append(" OR C.PERSONCODE = A.CONSTRUCTIONPERSONCODE");
+                    strSQL.Append(" OR C.PERSONCODE = A.CONSTRSUBPERSONCODE");
+                    strSQL.Append(" OR C.PERSONCODE = A.CONSTRUCTIONINSTRUCTOR)");
+                    strSQL.Append(" ORDER BY B.DETAILSTRING ASC, A.CONSTRUCTIONCODE DESC");
                 }
 
                 ArrayList BaseList = new ArrayList();
-                if (!BaseDB.ExecuteReader(strSQL, ref BaseList)) return;
+                if (!BaseDB.ExecuteReader(strSQL.ToString(), ref BaseList)) return;
                 if (BaseList.Count == 0) return;
 
                 // 要素表示
Index: branches/src/ProcessManagement/ProcessManagement/RequestSheet.xlsx
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
